class RentableController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @rentable_pages, @rentables = paginate :rentables, :per_page => 10
  end

  def show
    @rentable = Rentable.find(params[:id])
  end

  def new
    @rentable = Rentable.new
  end

  def create
    @rentable = Rentable.new(params[:rentable])
    if @rentable.save
      flash[:notice] = 'Rentable was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @rentable = Rentable.find(params[:id])
  end

  def update
    @rentable = Rentable.find(params[:id])
    if @rentable.update_attributes(params[:rentable])
      flash[:notice] = 'Rentable was successfully updated.'
      redirect_to :action => 'show', :id => @rentable
    else
      render :action => 'edit'
    end
  end

  def destroy
    Rentable.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
