class GamePolicy < ActiveRecord::Base
  validates_presence_of :day
  validates_presence_of :fee
  validates_presence_of :period
  validates_presence_of :description

  validates_numericality_of :day
  validates_numericality_of :fee
  validates_numericality_of :period

  protected
  def validate
    errors.add(:fee, "must be greater than $0.01") if fee < 0.01
  end
end
