class RentablePurchase < Purchase
  belongs_to :rentable
  belongs_to :customer

  validates_presence_of :rentable_id
  validates_numericality_of :rentable_id

  protected
  def validate
    errors.add(:rentable_id, "is not in the database") if rentable.nil?
  end
end
