require File.dirname(__FILE__) + '/../test_helper'
require 'rentable_policy_controller'

# Re-raise errors caught by the controller.
class RentablePolicyController; def rescue_action(e) raise e end; end

class RentablePolicyControllerTest < Test::Unit::TestCase
  fixtures :rentable_policies

  def setup
    @controller = RentablePolicyController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = rentable_policies(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:rentable_policies)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:rentable_policy)
    assert assigns(:rentable_policy).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:rentable_policy)
  end

  def test_create
    num_rentable_policies = RentablePolicy.count

    post :create, :rentable_policy => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_rentable_policies + 1, RentablePolicy.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:rentable_policy)
    assert assigns(:rentable_policy).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      RentablePolicy.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      RentablePolicy.find(@first_id)
    }
  end
end
